Zum Hauptinhalt springen
POST
/
marketing
/
v3
/
marketing-events
/
events
/
{externalEventId}
/
{subscriberState}
/
upsert
Record a subscriber state by contact ID
curl --request POST \
  --url https://api.hubapi.com/marketing/v3/marketing-events/events/{externalEventId}/{subscriberState}/upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "interactionDateTime": 123,
      "properties": {},
      "vid": 123
    }
  ]
}
'
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

externalEventId
string
erforderlich
subscriberState
string
erforderlich

Abfrageparameter

externalAccountId
string
erforderlich

Body

application/json
inputs
object[]
erforderlich

List of HubSpot contacts to subscribe to the marketing event

Antwort

default - */*
category
string
erforderlich

The error category

correlationId
string<uuid>
erforderlich

A unique identifier for the request. Include this value with any error reports or support tickets

Beispiel:

"aeb5f871-7f07-4993-9211-075dc63e7cbf"

message
string
erforderlich

A human readable message describing the error along with remediation steps where appropriate

Beispiel:

"An error occurred"

context
object

Context about the error condition

Beispiel:

"{invalidPropertyName=[propertyValue], missingScopes=[scope1, scope2]}"

errors
object[]

further information about the error

A map of link names to associated URIs containing documentation about the error or recommended remediation steps

subCategory
string

A specific category that contains more specific detail about the error

Last modified on April 9, 2026